* start dev environment using `startDevEnv.sh`
* build application in container in directory `~/project` using `arduino-cli compile --fqbn=Heltec-esp32:esp32:WIFI_LoRa_32_V3 --export-binaries /home/arduino/project/sketch/`
* flash device using `esptool.py --port /dev/tty.usbserial-0001 --baud 921600 --chip esp32s3 write_flash --flash_mode dio --flash_size 8MB 0x0 sketch.ino.bootloader.bin 0x8000 sketch.ino.partitions.bin 0x10000 sketch.ino.bin`


From Arduino IDE:

    /Users/wn/Library/Arduino15/packages/Heltec-esp32/tools/esptool_py/3.3.0/esptool 
    --chip esp32s3 
    --port /dev/cu.usbserial-0001 
    --baud 921600 
    --before default_reset 
    --after hard_reset 
    write_flash 
    -z 
    --flash_mode dio 
    --flash_freq 80m 
    --flash_size 8MB 
    0x0 /var/folders/vy/d60s0tzx3mn8bfy6ssd27hl00000gn/T/arduino_build_190148/LoRaWan.ino.bootloader.bin 
    0x8000 /var/folders/vy/d60s0tzx3mn8bfy6ssd27hl00000gn/T/arduino_build_190148/LoRaWan.ino.partitions.bin 
    0xe000 /Users/wn/Library/Arduino15/packages/Heltec-esp32/hardware/esp32/0.0.7/tools/partitions/boot_app0.bin
    0x10000 /var/folders/vy/d60s0tzx3mn8bfy6ssd27hl00000gn/T/arduino_build_190148/LoRaWan.ino.bin
